# -*- coding: utf-8 -*-
# $Id: SimpleAliasTC.py 47117 2007-08-13 10:52:29Z glenfant $
# Define a common SimpleAliasTestCase base class for use in all

# Import the base test case classes
from Testing import ZopeTestCase
from Products.PloneTestCase import PloneTestCase
from Products.SimpleAlias.config import PROJECTNAME

#These must install cleanly
ZopeTestCase.installProduct(PROJECTNAME)

# Set up the Plone site used for the test fixture. The PRODUCTS are the products
# to install in the Plone site (as opposed to the products defined above, which
# are all products available to Zope in the test fixture)
PRODUCTS = [PROJECTNAME]
PloneTestCase.setupPloneSite(products=PRODUCTS)


class SimpleAliasTestCase(PloneTestCase.PloneTestCase):

    class Session(dict):
        def set(self, key, value):
            self[key] = value

    def _setup(self):
        PloneTestCase.PloneTestCase._setup(self)
        self.app.REQUEST['SESSION'] = self.Session()

    # You may wish to define additional helper methods
    # here that will be available in all tests.
